%define drupaldir %{_datadir}/drupal7
Name: drupal7-date
Version:  2.3
Release:  1%{?dist}
Summary:  This package contains both the Date module and a Date API module

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/date
Source0: http://ftp.drupal.org/files/projects/date-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal7 >= 7.0 

%description
This Drupal module contains both a flexible date/time field type and 
a Date API that other modules can use. 

%prep

%setup -qn date

%build

cp %{SOURCE1} .
cp %{SOURCE2} .
find ${buildroot} -size 0 | xargs rm -f

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/date
cp -pr * %{buildroot}%{drupaldir}/modules/date

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt INSTALL.txt %{name}-fedora-README.txt
%{drupaldir}/modules/date
%exclude %{drupaldir}/modules/date/CHANGELOG.txt
%exclude %{drupaldir}/modules/date/LICENSE.txt
%exclude %{drupaldir}/modules/date/INSTALL.txt
%exclude %{drupaldir}/modules/date/%{name}-fedora-README.txt

%changelog
* Mon Apr 02 2012 Jared Smith <jsmith@fedoraproject.org> - 2.3-1
- Update to upstream release 2.3
* Mon Feb 27 2012 Jared Smith <jsmith@fedoraproject.org> - 2.2-1
- Update to upstream release 2.2
* Thu Feb 23 2012 Jared Smith <jsmith@fedoraproject.org> - 2.1-3
- Accidentally removed the %{dist} from the release number
* Thu Feb 23 2012 Jared Smith <jsmith@fedoraproject.org> - 2.1-2
- Bump release number to fix a small typo
* Wed Feb 22 2012 Jared Smith <jsmith@fedoraproject.org> - 2.1-1
- Update to upstream 2.1 release
* Sat Feb 04 2012 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.rc2
- Update to rc2
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Wed Dec 21 2011 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.rc1
- Update to rc1
- Convert CHANGELOG.txt to UTF-8
* Sun Sep 11 2011 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.alpha4
- Update to alpha4
- Update FSF address in LICENSE.txt
* Sat Jul 30 2011 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.alpha3
- Initial version for Drupal 7
